# Estimate fees

`GET /networks/fees?network={network}`

Gets real-time fee details for a given network, allowing users to make decisions based on their preferences for transaction speed/priority. Three levels of priority will be displayed: `slow`, `standard`, `fast`.

{% hint style="info" %}
Note: Get Fee only works on EVM chains currently.  We will add support for additional L1s incrementally.&#x20;
{% endhint %}

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

{% hint style="warning" %}
**only supported for EVM chains are supported, for now**
{% endhint %}

## Required Permissions

No permission is required for this call

## Parameters <a href="#parameters.1" id="parameters.1"></a>

### Query parameters <a href="#path-parameters" id="path-parameters"></a>

<table><thead><tr><th width="248">Query parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>network</code></td><td>Enumerated type representing the Blockchain network from the list found <a href="https://docs.dfns.co/dfns-docs/api-docs/wallets#supported-networks">here</a>.  <strong>⚠️ only EVM chains are supported for now</strong>.</td></tr></tbody></table>

## Response <a href="#response" id="response"></a>

### Response example <a href="#response-example" id="response-example"></a>

```json
{
    "kind": "Eip1559",
    "network": "Ethereum",
    "baseFeePerGas": "312870588",
    "blockNumber": 7841330,
    "slow": {
        "maxPriorityFeePerGas": "30139324",
        "maxFeePerGas": "655880500"
    },
    "standard": {
        "maxPriorityFeePerGas": "401143796",
        "maxFeePerGas": "1026884972"
    },
    "fast": {
        "maxPriorityFeePerGas": "1360050000",
        "maxFeePerGas": "1985791176"
    }
}
```

## Strategies <a href="#response" id="response"></a>

### EIP-1559 <a href="#response-example" id="response-example"></a>

For EIP 1559, we  provide 2 different fields for each strategy: maxFee (per Gas) and maxPriorityFee (per Gas). To compute these estimations, we look at the block history, compute three different percentiles for the rewards offered by the transactions in the blocks, and then calculate the average for each strategy.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/networks/estimate-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
